<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];

if ($_REQUEST["ctr"]) {
    $ctr = $_REQUEST["ctr"];
    $hide = $_REQUEST["hide"];
    $hide_var = "";
    if ($hide == 0) {
        $hide_var = 'style="display:none;"';
    }
    $mctr = $ctr;
    $mctr++;

    Echo "<tr>";
    Echo "<td><i class='fa fa-close remove'  ></i></td>";
    Echo "<td><input type='text' class='form-control form text-right srno'  name='srno_$ctr'        value='$mctr'></td>";
    Echo "<td>";
    Echo "<select class='form-control form select2 fetchpart_$ctr itemgrp' name='itemgrp_$ctr' style='width:100%' required>";
    Echo "<option value=''></option>";
    $gitemgrp = mysqli_query($conn, 'SELECT * FROM `itemgrp` order by name')or die(mysqli_error($conn));
    while ($itemgrp = mysqli_fetch_array($gitemgrp)) {
        Echo "<option value='$itemgrp[grpcode]'>$itemgrp[name]</option>";
    }
    Echo "</select>";
    Echo "</td>";
    Echo "<td>";
    Echo "<select class='form-control form select2 fetchpart_$ctr item' name='item_$ctr' style='width:100%' required>";
    Echo "<option value=''></option>";
    $gitem = mysqli_query($conn, 'SELECT * FROM `item` order by name')or die(mysqli_error($conn));
    while ($item = mysqli_fetch_array($gitem)) {
        Echo "<option value='$item[code]'>$item[name]</option>";
    }
    Echo "</select>";
    Echo "</td>";

    Echo "<td><input type='text' class='form-control form hsncode'    name='hsncode_$ctr'         value='' >   </td>";
    Echo "<td><input type='text' class='form-control form itempart'    name='itempart_$ctr'       value=''>   </td>";
    Echo "<td>";
    Echo "<select class='form-control form unit fetchpart_$ctr select2' name='unit_$ctr' style='width:100%' required>";
    Echo "<option value=''></option>";
    $gunit = mysqli_query($conn, 'SELECT `code`,`name` FROM `unit` order by name')or die(mysqli_error($conn));
    while ($unit = mysqli_fetch_array($gunit)) {
        Echo "<option value='$unit[name]'>$unit[name]</option>";
    }
    Echo "</select>";
    Echo "</td>";
    Echo "<td><input type='text' class='form-control form text-right qty'  name='qty_$ctr'       value='0' >  </td>";
    Echo "<td><input type='text' class='form-control form text-right vol'    name='vol_$ctr'        value='0' readonly></td>";
    Echo "<td><input type='text' class='form-control form text-right stkvol' name='stkvol_$ctr'      value='0' readonly> </td>";
    Echo "<td><input type='text' class='form-control form text-right stkunit' name='stkunit_$ctr'      value='0' readonly> </td>";
    Echo "</tr >";
    $ctr++;
} else {
    echo "ERROR";
}
?>
 